let dummyTEXT = [
  "Gingerbread chocolate bar dragée biscuit ice cream sweet sweet biscuit toffee. Macaroon jelly pudding liquorice powder marzipan. Jelly-o tart tootsie roll pastry apple pie shortbread tart caramels marzipan. Cake lollipop shortbread bonbon cupcake pudding. Liquorice cake fruitcake wafer fruitcake carrot cake sesame snaps carrot cake. Cake wafer bear claw cupcake liquorice dessert caramels chocolate cake. Icing donut chocolate cake carrot cake candy. Macaroon marshmallow icing jelly muffin gummies cake. Marzipan candy canes croissant tiramisu sesame snaps oat cake toffee macaroon.",
  "Brownie bear claw fruitcake bear claw fruitcake cake sesame snaps. Cake tart jelly lemon drops cake soufflé candy. Ice cream donut cupcake dessert cake jelly beans. Cake fruitcake cheesecake cotton candy sugar plum chocolate. Marshmallow cupcake dessert halvah cheesecake gummi bears toffee oat cake. Lollipop bonbon danish danish pastry jelly sugar plum jelly beans. Topping tootsie roll croissant tiramisu candy canes. Icing halvah fruitcake icing biscuit donut halvah. Icing cake bear claw marzipan carrot cake.",
  "Candy canes shortbread cotton candy candy donut donut. Croissant sweet cotton candy apple pie marzipan shortbread. Chocolate bar marzipan tiramisu marzipan dragée. Jelly biscuit dragée cupcake croissant sesame snaps jelly beans. Croissant chupa chups liquorice sugar plum tootsie roll carrot cake. Halvah gingerbread gummies dessert bear claw sugar plum tart. Cupcake liquorice macaroon bear claw muffin jelly beans fruitcake cake. Dragée jelly cupcake halvah tiramisu candy canes candy chocolate bar.",
  "Muffin oat cake icing cake apple pie. Jelly beans danish croissant gummi bears dessert icing cupcake. Soufflé jujubes brownie pie topping chocolate bar candy sugar plum pie. Marshmallow lemon drops chupa chups tootsie roll carrot cake marzipan tiramisu bear claw. Cupcake chocolate cake shortbread wafer lemon drops. Oat cake marshmallow sesame snaps jelly-o jelly beans gummi bears marzipan bear claw carrot cake. Topping ice cream toffee danish marshmallow tiramisu lollipop cotton candy croissant.",
  "Liquorice tootsie roll halvah gummi bears soufflé cake. Chocolate bar jelly-o toffee muffin chocolate cake pastry sesame snaps. Pudding powder muffin biscuit pie toffee chocolate bar. Gummi bears gummi bears cookie muffin marshmallow chocolate sweet roll wafer donut. Powder sugar plum cookie cheesecake croissant lemon drops. Wafer lemon drops marzipan dragée pastry marshmallow tiramisu tart halvah. Topping chocolate bar chupa chups topping cookie tart.",
  "Lemon drops brownie jelly cupcake lollipop muffin pastry apple pie oat cake. Caramels tart jelly fruitcake gummies gingerbread sweet roll jelly-o carrot cake. Chocolate bar sweet liquorice pudding apple pie bear claw. Toffee bear claw brownie carrot cake pastry. Bear claw liquorice tiramisu candy canes tart lollipop halvah jujubes. Sweet roll lemon drops liquorice donut gummi bears halvah. Oat cake oat cake soufflé oat cake chocolate oat cake. Tart pudding dragée cookie jujubes bonbon lemon drops fruitcake lemon drops. Macaroon toffee carrot cake sweet roll cheesecake.",
  "Gummi bears muffin chocolate bar liquorice cookie cotton candy jelly pastry lemon drops. Sesame snaps pudding lemon drops tart caramels chocolate bar candy canes muffin. Biscuit chupa chups powder chupa chups cake candy sweet roll marzipan halvah. Chupa chups chocolate cake cheesecake chupa chups sugar plum pie cookie oat cake fruitcake. Chupa chups gummies apple pie caramels croissant halvah. Gingerbread marshmallow wafer candy cake carrot cake.",
  "Apple pie candy lemon drops donut powder donut sweet roll cake. Chocolate bar wafer powder ice cream dragée bear claw pastry. Gummies fruitcake cheesecake gingerbread jujubes shortbread. Cupcake bonbon marzipan pudding chocolate bar dragée chocolate cake danish. Carrot cake dragée toffee soufflé marshmallow apple pie gummies ice cream carrot cake. Cupcake tart cake cake ice cream cake. Cake tart wafer brownie marzipan donut.",
  "Sesame snaps gummies chocolate bar toffee cake lemon drops chupa chups. Gummi bears tiramisu cookie soufflé donut marshmallow tart chocolate cake sugar plum. Ice cream fruitcake sweet roll marzipan jelly beans tart chocolate marzipan. Jelly beans tootsie roll cupcake pie topping muffin bear claw sesame snaps. Pie sesame snaps cupcake brownie dessert. Halvah danish ice cream marzipan shortbread. Cotton candy chocolate cheesecake cake cupcake gummi bears gingerbread halvah. Marzipan fruitcake ice cream lollipop sweet roll.",
  "Icing bonbon liquorice caramels pudding chocolate. Jelly-o oat cake cake marshmallow caramels caramels donut candy. Topping bear claw jelly beans halvah marzipan dessert halvah. Donut tiramisu cotton candy pastry gummies. Cake chocolate cake apple pie lemon drops tart donut. Cake lemon drops cotton candy chocolate cake. Cookie sugar plum tart tootsie roll jelly beans fruitcake tootsie roll chocolate cake. Gummi bears ice cream powder sugar plum chupa chups fruitcake apple pie brownie candy canes. Apple pie icing oat cake chocolate sugar plum cupcake candy canes topping powder. Tiramisu shortbread sesame snaps tart jelly beans.",
];

const form = document.getElementById("form");
const input = document.getElementById("input");
const result = document.getElementById("result");

form.addEventListener("submit", (e) => {
  e.preventDefault();

  const parseInput = parseInt(input.value);
  const random = Math.floor(Math.random() * dummyTEXT.length);

  if (isNaN(parseInput) || parseInput <= 0 || parseInput > 10) {
    result.innerHTML = `<p>${dummyTEXT[random]}</p>`;
  } else {
    const sliceArray = dummyTEXT.slice(0, parseInput);
    const finalOutput = sliceArray
      .map((para) => {
        return `<p>${para}</p>`;
      })
      .join("");

    result.innerHTML = finalOutput;
  }
});
